<template>
    <div class="back">
        <v-layout align-start justify-center row fill-height wrap>
            <v-flex xs12 md3>
                <div class="loginbox elevation-4 pt-1 pr-3 pl-3 pb-5 mt-5">
                    <v-img :src="require('../assets/logo.jpg')" class="my-3" contain height="200" :lazy-src="require('../assets/spinner.gif')"></v-img>
                    <v-form>
                        <v-text-field prepend-icon="person" name="login" label="Login" type="text" v-model="email"></v-text-field>
                        <v-text-field id="password" prepend-icon="lock" name="password" label="Password" type="password" v-model="password"></v-text-field>
                    </v-form>
                    <v-spacer></v-spacer>
                    <v-btn color="#3DBCEB" @click="onSubmit">
                        Entrar
                    </v-btn>
                </div>
            </v-flex>
            <!-- <snack-local v-bind:snackbar.sync="snackbar" :message="message" /> -->
        </v-layout>
    </div>

</template>

<script>
export default {
    data() {
        return {
            /*email: 'devel',
            password: 'devel',*/
            email: '',
            password: '',
            message: '',
            snackbar: false
        }
    },
    methods: {
        onSubmit(evt) {
            evt.preventDefault();

            const datas = {
                'user': this.email,
                'password': this.password
            };

            this.$store.dispatch('AUTH_REQUEST', datas)
                .then(resp => {
                    //Cambiaremos de boolean a numerico
                    if (resp.data.user_type == 1) {
                        this.$router.push(`/dashboard/${resp.data.id}`)
                    } else if(resp.data.user_type == 2) {
                        this.$router.push('/admin/dashboard')
                    }
                })
        }
    }
}
</script>

<style scoped>
.back {
    position: absolute;
    width: 100%;
    height: 100%;
    background: url('../assets/back2.jpg') no-repeat center center fixed;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
}

.loginbox {
    background: #fff;
}
</style>
